/* vis5d.h */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


/* This is the VIS-5D configuration file which contains various options */
/* which can be safely changed by the user.                             */


#ifndef VIS5D_H
#define VIS5D_H


/* Amount of physical RAM in megabytes: */
/* VIS-5D will normally only use a bounded amount of memory to avoid
   swapping.  When the limit is reached, the least-recently-viewed
   graphics will be deallocated.  If MBS is set to 0, however, VIS-5D
   will use ordinary malloc/free and not deallocate graphics (ok for
   systems with a lot of memory (>=128MB)).
*/
#define MBS 32


/* Number of CPUs in your system: */
#if defined(stellar)
#  define CPU  4        /* For Stellar/Stardent systems */
#elif defined(sgi)
#  define CPU  2        /* For SGI systems */
#else
#  define CPU  1        /* For everything else */
#endif


/* Default topography file: */
#define TOPOFILE "EARTH.TOPO"


/* Default map lines file: */
#define MAPFILE "OUTLSUPW"


/* Default animation rate in milliseconds: */
#define ANIMRATE 100


#endif
